OpenCATS 0.9.4-3

Free, Open-Source Applicant Tracking System including job-board. Entirely customisable!

Please describe the issue you're having
If you accept the answer, please mark the topic as [SOLVED] by clicking the tick.

Moderators: RussH, cptr13

Forum rules: Just please remember to play nicely once you walk through the door. You can disagree with us, or any other commenters in this forum, but respect our space and keep your comments directed to the topic at hand.
#3338
OpenCATS has documentation and walkthrough videos to help you get OpenCATS installed on whatever system you want to run it on. If you run Linux, there are some scripts available that will automate the entire process.

We now have MAC install documentation (thanks skrchnavy!!) It lacks pictures, but should get you through it.

Please read the documentation and view the videos first.

NOTE: The documentation is updated for OpenCATS 0.9.4, as well as the Linux install scripts. The videos have not been updated yet, so when you encounter a difference....go with what the documentation says.

Documentation: http://opencats-documentation.readthedocs.io/en/latest/
Video: https://www.youtube.com/watch?v=9bu67GG0R_k

Super fast, super easy install.... :)
#4818
New to OpenCATS, and I did the install with someone from Google Support on the call with me. I get the following error:
This is the command I enter:
cd C:\xampp\htdocs\opencats

This is the response I get:
C:\xampp\htdocs\opencats does not exist

C:\xampp exists, the other two do not.

Would appreciate any help understanding what to do!
#4819
I assume you're comfortable enough with file explorer to switch through directories? Your opencats directory is likely called something different. You likely missed the renaming step in the instructions. If that's the case then it'll be whatever the file name was after the extraction (IE OpenCats-0.5.2)
#4890
New to OpenCATS. I'm installing on windows. Following the instructions with 9.4.3. When I run the composer install i get the below error from the cmd. Any idea? I tried to re-install, rename directory. Thanks.

[Composer\Json\JsonValidationException]
"./composer.json" does not match the expected JSON schema:
- name : Does not match the regex pattern ^[a-z0-9]([_.-]?[a-z0-9]+)*/[a-z0-9](([_.]?|-{0,2})[a-z0-9]+)*$

Thanks
-E
#4929
I have the exact same issue as @Emagic300

Below is the output from command prompt.

C:\xampp\htdocs\OpenCATS>composer install


[Composer\Json\JsonValidationException]
"./composer.json" does not match the expected JSON schema:
- name : Does not match the regex pattern ^[a-z0-9]([_.-]?[a-z0-9]+)*/[a-z0-9](([_.]?|-{0,2})[a-z0-9]+)*$
#4930
I was able to get further in the process by the following.

Open "C:\xampp\htdocs\OpenCATS\composer.json" and change the 2nd line
from: "name": "openCATS/openCATS",
to: "name": "opencats/opencats",

But I'm now seeing the following output.

C:\xampp\htdocs\OpenCATS>composer install
Installing dependencies from lock file (including require-dev)
Verifying lock file contents can be installed on current platform.
Warning: The lock file is not up to date with the latest changes in composer.json. You may be getting outdated dependencies. It is recommended that you run `composer update` or `composer update <package name>`.
Package operations: 51 installs, 0 updates, 0 removals
- Downloading behat/gherkin (v4.4.4)
- Downloading symfony/filesystem (v3.0.9)
- Downloading symfony/config (v2.8.11)
- Downloading symfony/css-selector (v3.1.4)
- Downloading behat/mink (v1.7.1)
- Downloading symfony/yaml (v2.8.11)
- Downloading symfony/polyfill-mbstring (v1.2.0)
- Downloading symfony/translation (v2.8.11)
- Downloading symfony/event-dispatcher (v2.8.11)
- Downloading symfony/dependency-injection (v2.8.11)
- Downloading symfony/console (v2.8.11)
- Downloading symfony/polyfill-apcu (v1.2.0)
- Downloading symfony/class-loader (v2.8.11)
- Downloading behat/transliterator (v1.1.0)
- Downloading behat/behat (v3.0.15)
- Downloading symfony/dom-crawler (v3.1.4)
- Downloading symfony/browser-kit (v3.1.4)
- Downloading psr/http-message (1.0.1)
- Downloading guzzlehttp/psr7 (1.3.1)
- Downloading guzzlehttp/promises (1.2.0)
- Downloading guzzlehttp/guzzle (6.2.1)
- Downloading fabpot/goutte (v3.1.2)
- Downloading behat/mink-browserkit-driver (v1.3.2)
- Downloading behat/mink-goutte-driver (v1.2.1)
- Downloading instaclick/php-webdriver (1.4.3)
- Downloading behat/mink-selenium2-driver (v1.3.1)
- Downloading webmozart/assert (1.1.0)
- Downloading phpdocumentor/reflection-common (1.0)
- Downloading phpdocumentor/type-resolver (0.2)
- Downloading phpdocumentor/reflection-docblock (3.1.1)
- Downloading phpunit/php-token-stream (1.4.8)
- Downloading sebastian/version (2.0.0)
- Downloading sebastian/resource-operations (1.0.0)
- Downloading sebastian/recursion-context (1.0.2)
- Downloading sebastian/object-enumerator (1.0.0)
- Downloading sebastian/global-state (1.1.1)
- Downloading sebastian/exporter (1.2.2)
- Downloading sebastian/environment (1.3.8)
- Downloading sebastian/diff (1.4.1)
- Downloading sebastian/comparator (1.2.0)
- Downloading phpunit/php-text-template (1.2.1)
- Downloading doctrine/instantiator (1.0.5)
- Downloading phpunit/phpunit-mock-objects (3.2.7)
- Downloading phpunit/php-timer (1.0.8)
- Downloading phpunit/php-file-iterator (1.4.1)
- Downloading sebastian/code-unit-reverse-lookup (1.0.0)
- Downloading phpunit/php-code-coverage (4.0.1)
- Downloading phpspec/prophecy (v1.6.1)
- Downloading myclabs/deep-copy (1.5.4)
- Downloading phpunit/phpunit (5.4.8)
0/50 [>---------------------------] 0%
1/50 [>---------------------------] 2%
2/50 [=>--------------------------] 4%
3/50 [=>--------------------------] 6%
4/50 [==>-------------------------] 8%
5/50 [==>-------------------------] 10%
6/50 [===>------------------------] 12%
7/50 [===>------------------------] 14%
8/50 [====>-----------------------] 16%
9/50 [=====>----------------------] 18%
10/50 [=====>----------------------] 20%
11/50 [======>---------------------] 22%
12/50 [======>---------------------] 24%
13/50 [=======>--------------------] 26%
14/50 [=======>--------------------] 28%
15/50 [========>-------------------] 30%
16/50 [========>-------------------] 32%
17/50 [=========>------------------] 34%
18/50 [==========>-----------------] 36%
19/50 [==========>-----------------] 38%
20/50 [===========>----------------] 40%
21/50 [===========>----------------] 42%
22/50 [============>---------------] 44%
23/50 [============>---------------] 46%
24/50 [=============>--------------] 48%
25/50 [==============>-------------] 50%
26/50 [==============>-------------] 52%
28/50 [===============>------------] 56%
29/50 [================>-----------] 57%
30/50 [================>-----------] 60%
31/50 [=================>----------] 62%
33/50 [==================>---------] 66%
34/50 [===================>--------] 68%
36/50 [====================>-------] 72%
37/50 [====================>-------] 74%
38/50 [=====================>------] 76%
39/50 [=====================>------] 78%
40/50 [======================>-----] 80%
41/50 [======================>-----] 82%
42/50 [=======================>----] 84%
43/50 [========================>---] 86%
44/50 [========================>---] 88%
45/50 [=========================>--] 90%
46/50 [=========================>--] 92%
47/50 [==========================>-] 94%
48/50 [==========================>-] 96%
49/50 [===========================>] 98%
50/50 [============================] 100% - Installing behat/gherkin (v4.4.4): Extracting archive
- Installing symfony/filesystem (v3.0.9): Extracting archive
- Installing symfony/config (v2.8.11): Extracting archive
- Installing symfony/css-selector (v3.1.4): Extracting archive
- Installing behat/mink (v1.7.1): Extracting archive
- Installing symfony/yaml (v2.8.11): Extracting archive
- Installing symfony/polyfill-mbstring (v1.2.0): Extracting archive
- Installing symfony/translation (v2.8.11): Extracting archive
- Installing symfony/event-dispatcher (v2.8.11): Extracting archive
- Installing symfony/dependency-injection (v2.8.11): Extracting archive
- Installing symfony/console (v2.8.11): Extracting archive
- Installing symfony/polyfill-apcu (v1.2.0): Extracting archive
- Installing symfony/class-loader (v2.8.11): Extracting archive
- Installing behat/transliterator (v1.1.0): Extracting archive
- Installing behat/behat (v3.0.15): Extracting archive
- Installing behat/mink-extension (dev-master 694c9ee): Cloning 694c9ee490
Cloning failed using an ssh key for authentication, enter your GitHub credentials to access private repos
Head to https://github.com/settings/tokens/new? ... 01-13+1600
to retrieve a token. It will be stored in "C:/Users/xkasee.powers/AppData/Roaming/Composer/auth.json" for future use by Composer.
Token (hidden):
No token given, aborting.
You can also add it manually later by using "composer config --global --auth github-oauth.github.com <token>"
Install of behat/mink-extension failed
- Installing symfony/dom-crawler (v3.1.4): Extracting archive
- Installing symfony/browser-kit (v3.1.4): Extracting archive
- Installing psr/http-message (1.0.1): Extracting archive
- Installing guzzlehttp/psr7 (1.3.1): Extracting archive
- Installing guzzlehttp/promises (1.2.0): Extracting archive
- Installing guzzlehttp/guzzle (6.2.1): Extracting archive
- Installing fabpot/goutte (v3.1.2): Extracting archive
- Installing behat/mink-browserkit-driver (v1.3.2): Extracting archive
- Installing behat/mink-goutte-driver (v1.2.1): Extracting archive
- Installing instaclick/php-webdriver (1.4.3): Extracting archive
- Installing behat/mink-selenium2-driver (v1.3.1): Extracting archive
- Installing webmozart/assert (1.1.0): Extracting archive
- Installing phpdocumentor/reflection-common (1.0): Extracting archive
- Installing phpdocumentor/type-resolver (0.2): Extracting archive
- Installing phpdocumentor/reflection-docblock (3.1.1): Extracting archive
- Installing phpunit/php-token-stream (1.4.8): Extracting archive
- Installing sebastian/version (2.0.0): Extracting archive
- Installing sebastian/resource-operations (1.0.0): Extracting archive
- Installing sebastian/recursion-context (1.0.2): Extracting archive
- Installing sebastian/object-enumerator (1.0.0): Extracting archive
- Installing sebastian/global-state (1.1.1): Extracting archive
- Installing sebastian/exporter (1.2.2): Extracting archive
- Installing sebastian/environment (1.3.8): Extracting archive
- Installing sebastian/diff (1.4.1): Extracting archive
- Installing sebastian/comparator (1.2.0): Extracting archive
- Installing phpunit/php-text-template (1.2.1): Extracting archive
- Installing doctrine/instantiator (1.0.5): Extracting archive
- Installing phpunit/phpunit-mock-objects (3.2.7): Extracting archive
- Installing phpunit/php-timer (1.0.8): Extracting archive
- Installing phpunit/php-file-iterator (1.4.1): Extracting archive
- Installing sebastian/code-unit-reverse-lookup (1.0.0): Extracting archive
- Installing phpunit/php-code-coverage (4.0.1): Extracting archive
- Installing phpspec/prophecy (v1.6.1): Extracting archive
- Installing myclabs/deep-copy (1.5.4): Extracting archive
- Installing phpunit/phpunit (5.4.8): Extracting archive
0 [>---------------------------] 0 [>---------------------------]

[RuntimeException]
Failed to clone https://github.com/Behat/MinkExtension.git, git was not found, check that it is installed and in yo
ur PATH env.

'git' is not recognized as an internal or external command,
operable program or batch file.


install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-suggest] [--no-dev] [--no-autoloader] [--no-scripts] [--no-progress] [--no-install] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--apcu-autoloader-prefix APCU-AUTOLOADER-PREFIX] [--ignore-platform-req IGNORE-PLATFORM-REQ] [--ignore-platform-reqs] [--] [<packages>]...


C:\xampp\htdocs\OpenCATS>
#4947
Hello!

I'm installing OpenCATS to my web hosting. I've made it all the way through the process but fail on the last step of "Finish Installation" with the following error code:

MySQL Query Failed: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1

UPDATE site SET time_zone =


The issue is that the SQL code is actually blank (identical to the other databases I've set up). Any suggestions?
#4948
I forgot to add the top of the message which says "Query error: Please Report this bug!"

Thanks for helping!!
Benjamin Marasco wrote: 17 Feb 2021, 03:45 Hello!

I'm installing OpenCATS to my web hosting. I've made it all the way through the process but fail on the last step of "Finish Installation" with the following error code:

MySQL Query Failed: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1

UPDATE site SET time_zone =


The issue is that the SQL code is actually blank (identical to the other databases I've set up). Any suggestions?
Attachments
Screen Shot 2021-02-16 at 22.13.09.png
Screen Shot 2021-02-16 at 22.13.09.png (23.82 KiB) Viewed 1391 times
Can't find indexing tools

I am a windows user I was installing openCATS but[…]

I have something similar. Could someone assist ple[…]

Hello, I did not see any options to change Company[…]

Creating Customized Modules

Hi , I'm looking for documentation to understand h[…]

Dev branch myql compqatibility

Oh, it works with mariadb? Thanks, I'll try it out[…]

I'm not the OP, but I had a dependency issue, I di[…]

Other Hosting Options?

For the record, Docker works just fine.

Email Configuration

during installation of opencats, i selected smtp a[…]